#ifndef PQFONTDATABASE_H
#define PQFONTDATABASE_H

#include <QFontDatabase>
#include "classes/pqobject.h"

class PQFontDatabase;
class PQFontDatabase : public QObject, QFontDatabase {
    Q_OBJECT
    PQ_OBJECT_EX(QObject)

public:
    Q_INVOKABLE explicit PQFontDatabase(QObject *parent = 0);
    Q_INVOKABLE QStringList families(int writingSystems);
    Q_INVOKABLE int addApplicationFont(const QString & fileName);
    Q_INVOKABLE QStringList applicationFontFamilies(int id);

    QFontDatabase fontDatabase;
};

#endif // PQFONTDATABASE_H
